### Function

# FwupdPlugin cpuid

#### Declaration [src]

    gboolean
    fu_cpuid (
      guint32 leaf,
      guint32* eax,
      guint32* ebx,
      guint32* ecx,
      guint32* edx,
      GError** error
    )

#### Description [src]

Calls CPUID and returns the registers for the given leaf.

Available since: | 1.8.2

#### Parameters

`leaf` | `guint32`
| The CPUID level, now called the ‘leaf’ by Intel.
`eax` | `guint32*`
| EAX register.
| The argument will be set by the function.
| The argument can be set to `NULL`.
`ebx` | `guint32*`
| EBX register.
| The argument will be set by the function.
| The argument can be set to `NULL`.
`ecx` | `guint32*`
| ECX register.
| The argument will be set by the function.
| The argument can be set to `NULL`.
`edx` | `guint32*`
| EDX register.
| The argument will be set by the function.
| The argument can be set to `NULL`.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if the registers are set.